
Infrastructure - Task #4728

Story # 4708 (Closed): Test CN on Ubuntu 12.04

Upgrade(install) the rest components

2014-04-15 00:12 - Jing Tao

Status: Closed Start date: 2014-04-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

When the core is working, we need to install those componenets;

dataone-cn-metacat

dataone-cn-portal

dataone-cn-rest-service

dataone-cn-processdaemon

dataone-cn-audit-index

dataone-cn-index

dataone-mercury

dataone-cn-solr

dataone-cn-version-tool

We need to modify their debian files:

https://repository.dataone.org/software/cicore/trunk/cn-buildout/

Associated revisions

Revision 4b91bb19 - 2014-06-06 22:00 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13927 - 2014-06-06 22:00 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13927 - 2014-06-06 22:00 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13927 - 2014-06-06 22:00 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13927 - 2014-06-06 22:00 - Robert Waltz

2024-04-17 1/4

https://repository.dataone.org/software/cicore/trunk/cn-buildout/


refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision cd2a53a6 - 2014-06-06 22:01 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13928 - 2014-06-06 22:01 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13928 - 2014-06-06 22:01 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13928 - 2014-06-06 22:01 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

Revision 13928 - 2014-06-06 22:01 - Robert Waltz

refs #4728

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issue

History

#1 - 2014-05-12 23:21 - Jing Tao

The order will be:

dataone-cn-version-tool

dataone-cn-metacat

dataone-cn-portal 

dataone-cn-rest-service 

dataone-cn-monitor

dataone-solr 

dataone-jetty

dataone-zookeeper

dataone-solr-jetty

dataone-cn-solr 

dataone-cn-processdaemon

dataone-cn-audit-index

dataone-cn-index
dataone-mercury 

#2 - 2014-05-13 18:36 - Jing Tao

I double checked the installed package on cn-dev-ucsb-1 and found those pacakges:

dataone-cn-index                install

dataone-cn-metacat              install

dataone-cn-os-core              install

dataone-cn-portal               install

dataone-cn-processdaemon            install

dataone-cn-rest-service             install

dataone-cn-solr                 install

dataone-cn-version-tool             install

dataone-mercury                 install

The order will be:

dataone-cn-version-tool

dataone-cn-metacat

dataone-cn-portal

dataone-cn-rest-service

dataone-cn-solr

dataone-cn-processdaemon 

dataone-cn-index 

dataone-mercury

#3 - 2014-06-06 21:57 - Robert Waltz

- Status changed from New to In Progress

#4 - 2014-06-06 21:59 - Robert Waltz

Modified dataone-cn-os-core and dataone-cn-solr to allow for explicit opening of the solr endpoint for uscb testing and logAggregation issues.

#5 - 2014-06-30 22:13 - Robert Waltz

- Target version set to 2014.26-Block.4.1
#6 - 2014-06-30 22:19 - Robert Waltz

- Product Version changed from * to 1.2.7

- Category set to d1_cn_buildout

- Status changed from In Progress to Testing

- Assignee set to Jing Tao

- Milestone changed from None to CCI-1.2

#7 - 2014-07-18 02:53 - Robert Waltz

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
